$(document).ready(function(){

	%[if %("%id=append_to_body%" == "true")% ]%
	$("#gateway_window_shade_%id%, #gateway_%id%").appendTo("body");
	%[endif]%

	%[if %("%id=cookie_tracking%" == "true")% ]%
		%[if %("%id=gateway_trigger%" == "automatic")% ]%
		// Display Gateway if cookie does not exist and trigger is set to automatic
		if ($.cookie('%id=cookie_name%') != '%id=cookie_value%') {
			setTimeout(function() {
				$('html').addClass('display_gateway_%id%');
			}, %id=start_delay%);
		} else {
			$('html').addClass('hide_gateway_%id%');
			$('#gateway_window_shade_%id%, #gateway_%id%').fadeOut();
		}
		%[endif]%

		%[if %("%id=gateway_trigger%" == "manual")% ]%
		// Display Gateway whether or not cookie exists and a custom link is clicked
		$('.%id=gateway_id%').click(function (e) {
			e.preventDefault();
			setTimeout(function() {
				$('html').addClass('display_gateway_%id%');
			}, %id=start_delay%);
		});
		%[endif]%

		$('#gateway_%id% .gateway_close a, #gateway_%id% .gateway_close button, %id=custom_close_selector%').click(function (e) {
			var a_href = $(this).attr('href');
			if (a_href == "" || a_href == "#") {
				e.preventDefault();
			}
			$('html').removeClass('display_gateway_%id%');
			var date = new Date();
			date.setTime(date.getTime() + (%id=cookie% * 60 * 1000));
			%[if %("%id=cookie_secure%" == "true")% ]%
			$.cookie('%id=cookie_name%', '%id=cookie_value%', { expires: date, path: '%id=cookie_path%;SameSite=%id=same_site%', %%[[if publish]]%%secure: %id=cookie_secure%, %[if %("%id=cookie_domain%" != "example.com")% ]%domain: '.%id=cookie_domain%'%[endif]%%%[[endif]]%% });
			%[endif]%
			%[if %("%id=cookie_secure%" == "false")% ]%
			$.cookie('%id=cookie_name%', '%id=cookie_value%', { expires: date, path: '%id=cookie_path%;SameSite=%id=same_site%' });
			%[endif]%
		});

		%[if %("%id=window_shade_gateway_dismiss%" == "true")% ]%
		$('#gateway_window_shade_%id%').click(function () {
			$('html').removeClass('display_gateway_%id%');
			var date = new Date();
			date.setTime(date.getTime() + (%id=cookie% * 60 * 1000));
			%[if %("%id=cookie_secure%" == "true")% ]%
			$.cookie('%id=cookie_name%', '%id=cookie_value%', { expires: date, path: '%id=cookie_path%;SameSite=%id=same_site%', %%[[if publish]]%%secure: %id=cookie_secure%, %[if %("%id=cookie_domain%" != "example.com")% ]%domain: '.%id=cookie_domain%'%[endif]%%%[[endif]]%% });
			%[endif]%
			%[if %("%id=cookie_secure%" == "false")% ]%
			$.cookie('%id=cookie_name%', '%id=cookie_value%', { expires: date, path: '%id=cookie_path%;SameSite=%id=same_site%' });
			%[endif]%
		});
		%[endif]%
	%[endif]%




	%[if %("%id=cookie_tracking%" == "false")% ]%
		%[if %("%id=gateway_trigger%" == "automatic")% ]%
		// Display Gateway whenever the page loads and trigger is set to automatic
		setTimeout(function() {
			$('html').addClass('display_gateway_%id%');
		}, %id=start_delay%);
		%[endif]%

		%[if %("%id=gateway_trigger%" == "manual")% ]%
		// Display Gateway if cookie does not exist and a custom link is clicked
		$('.%id=gateway_id%').click(function (e) {
			e.preventDefault();
			setTimeout(function() {
				$('html').addClass('display_gateway_%id%');
			}, %id=start_delay%);
		});
		%[endif]%

		$('#gateway_%id% .gateway_close a, #gateway_%id% .gateway_close button, %id=custom_close_selector%').click(function (e) {
			var a_href = $(this).attr('href');
			if (a_href == "" || a_href == "#") {
				e.preventDefault();
			}
			$('html').removeClass('display_gateway_%id%');
		});

		%[if %("%id=window_shade_gateway_dismiss%" == "true")% ]%
		$('#gateway_window_shade_%id%').click(function () {
			$('html').removeClass('display_gateway_%id%');
		});
		%[endif]%
	%[endif]%

	%[if %("%id=reload_page%" == "true")% ]%
	$('#gateway_%id% .gateway_close a, #gateway_%id% .gateway_close button, %id=custom_close_selector%').click(function() {
    location.reload();
	});
	%[endif]%

	// Reset the cookie whenever a button with a class of 'reset_gateway' is clicked
	$('.reset_gateway').click(function () {
		$.cookie('%id=cookie_name%', null);
	});

});
